# No Table Drag

## Summary

This module adds a "#nodrag" option to fields which don't want to use the table drag functionality for multi-value widgets.

You can toggle the table drag on / off through the field UI or programmatically.

This module will be redundant if [Add option for disabling reordering of multivalued fields](https://www.drupal.org/project/drupal/issues/2175695)
lands in Drupal Core.

## Requirements

No special requirements.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Usage

### Configuration

1. Enable the module at Administration > Extend.
1. Go to the widget settings on the form display for a given field
1. Check the "No Table Drag" checkbox

### API

1. Enable the module
2. Add the "#nodrag" option to your field widget form using hook_field_widget_complete_form_alter
3. Victory!

Ex:
````php
/**
 * Implements hook_field_widget_complete_form_alter().
 */
function multi_widget_remove_tabledrag_field_widget_complete_form_alter(array &$elements, FormStateInterface $form_state, array $context) {
  if (isset($elements['widget']['#field_name'])) {
    switch ($elements['widget']['#field_name']) {
      case 'field_long_test':
        $elements['widget']['#nodrag'] = TRUE;
      default:
        break;
    }
  }
}
````

## History

[See original post that the Drupal 7 module was based on](https://www.commercialprogression.com/post/how-remove-tabledrag-rearranging-multiple-value-field-widgets)